Subject: Re: [icnrg] Draft ICNRG minutes uploaded

From: Paulo Mendes <[email-masked]>
Date: Sat, 19 Jan 2013 23:07:44 +0000

Hi Boerje

Thanks for the answers, and sorry for the delay in following up this topic but I've been in parental leave... I'll release to the mailing list a first version of what I envision to be the draft to discuss ICN concepts. Unfortunately I'll not be able to attend the ICN meeting in Kista, but I would like to get feedback about the suitability of the document for the research group to start with.

Cheers
Paulo 

On Nov 30, 2012, at 12:43 PM, Börje Ohlman wrote:

> Hi Paulo,
> 
> Sorry for the long delay in responding to your mail. We have all been really busy.
> As I'm not the main responsible you can expect some further comments from Dave and Dirk as well. But to give you my 2 cents.
> 
> On 16 nov 2012, at 17:45, Paulo Mendes <[email-masked]> wrote:
> 
>> Hi Boerje
>> 
>> What were the action points related to the survey draft?
> No specific defined. the line between the Survey and the Concepts/Problems drafts are still unclear. My view is that we should not bother so much about that now, but just try to collect material that we think is relevant, then we can structure it into the drafts when we see what we have.
> 
>> Was the draft editor identified?
> No.
> 
>> Was an initial toc discussed or will it be proposed in the mailing list?
> Not really. Open to proposals, I personally think your's below is a good start.
> 
>> I just see your request related to the creation of subgroups on wiki, but no reference to the document itself. If we want version -00 to be in a readable shape at the interim meeting or the Orland meeting, we should start working on the document now. I propose a potential table of contents at the end of this email.
> My proposal is that you go ahead and start the document and we take it from there. I think the best way for you to get some constructive feedback is to make a first draft proposal that we can have a discussion around.
> 
> Börje
> 
>> 
>> Following the discussion in Atlanta, here are my 2cents about this draft:
>> 
>> a) I would focus on the ICN major concepts (maybe avoiding the specificities of existing proposals) aiming to identify common architectural functionalities. The goal of the document would be to try to answer the following question: It is possible to create a reference model to guide current and future ICN solutions for an easy interoperability? If not, what is the current proposal that provides more qualities for the described scenarios (other ICNRG draft) and potential operation facing future challenges (other ICNRG draft). If only one solution is impossible to be identified, the document should at least identify what are the proposals that best suits what ICNRG thinks should be the behavior for certain functionalities...
>> 
>> IMO the survey draft (that I like to call concept draft) should NOT be yet another long document with unrelated description of a set of ICN proposals.
>> 
>> b) Scope of the document: the document MUST tackle any core functionality that the group identifies as important to be present in any ICN proposal, even if such functionality is still not present in any of the analyzed proposals. We need some time to discuss this in the mailing list.
>> 
>> c) Proposal for the structure of the document
>> 
>> 
>> 1. Introduction 
>> (IMO this document aims to allow us to answer the questions that I mention on point a) of my email. But first we need to agree about the meaning(s) of ICN)
>> 2. Scope and terminology 
>> (e.g. this doc is about ICN and not CDNs)
>> 3. Related effort
>> (identify previous work on surveying ICN solutions, aiming to justify the need to to this work)
>> 4. Analysis of existing proposals 
>> (limiting the analysis to the essential, based on a common template to allow an easier comparison, assuming that we can manage to create such template :-), which by itself is already a challenge)
>> 5. Mapping existing proposals to ICNRG scenarios / use cases
>> 6. Identification of core ICN functionality 
>> (the attempt to create a reference model, which does not mean to create yet another ICN architecture) 
>> 7. Mapping of existing proposals to identified core functionalities (reference model)
>> 8. Conclusions
>> (that should try to answer: is there a reference model? is the a de facto standard; which existing proposals provide the best solutions to identified ICN issues?)
>> 
>> The challenges with this doc are three-fold: Definition of ICN; Creation of comparison template; Conceptual reference model. The problem of this TOC is that it makes this document somehow dependent of the work done on the ICNRG draft related to the scenarios.
>> 
>> Let me know what do you think about the proposed table of contents.
>> 
>> Cheers
>> Paulo
>> 
>> On Nov 13, 2012, at 5:17 PM, Börje Ohlman wrote:
>> 
>>> I've now made an update according to Lixias comments.
>>> 
>>> Lixia,
>>> Please double check that I got everything. I might have missed something as your changes where not marked.
>>> 
>>> Everyone,
>>> Anyone else have comments? if so please provide them before the end of the week. After that the minutes will be regarded as final.
>>> If you have comments please mark explicitly which changes you would like to have made to the documents.
>>> 
>>> Börje
>>> 
>>> On 10 nov 2012, at 15:12, Lixia Zhang wrote:
>>> 
>>> 
>>> On Nov 9, 2012, at 10:27 AM, Börje Ohlman wrote:
>>> 
>>> The draft ICNRG minutes are now available at:
>>> http://www.ietf.org/proceedings/85/minutes/minutes-85-icnrg
>>> 
>>> Please check, add and comment.
>>> 
>>> Börje.
>>> 
>>> Hi Börje, I did a pass over my part of the comments only. See attached below.
>>> 
>>> Lixia
>>> 
>>> <draft-ietf85-icnrg-minutes-lixia.txt>
>>> 
>>> _______________________________________________
>>> icnrg mailing list
>>> [email-masked]
>>> https://www.irtf.org/mailman/listinfo/icnrg
>> 
>> -------------------------------------------------------------
>> Paulo Mendes, Ph.D
>> Scientific Director for Innovation of the Research Unit in Informatics Systems and Technologies (SITI)
>> Director of the Ph.D program on Informatics - New Media and Pervasive Systems (NEMPS)
>> Secretary of the ACM SIGCOMM Chapter - Portugal
>> University Lusofona, Portugal
>> [email-masked]
>> http://siti.ulusofona.pt/~pmendes
>> Tel.: 217 515 500 Fax: 21 757 7006
>> 
>> _______________________________________________
>> icnrg mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/icnrg
> 
> 

-------------------------------------------------------------
Paulo Mendes, Ph.D
Scientific Director for Innovation of the Research Unit in Informatics Systems and Technologies (SITI)
Director of the Ph.D program on Informatics - New Media and Pervasive Systems (NEMPS)
Secretary of the ACM SIGCOMM Chapter - Portugal
University Lusofona, Portugal
[email-masked]
http://siti.ulusofona.pt/~pmendes
Tel.: 217 50 50 22